package lsgwr.exam.enums;

import lombok.Getter;

/**
 * @Description: 用户账号类型的枚举
 */
@Getter
public enum LoginTypeEnum {
    /**
     * @Description: 用户的账号类型
     * 1代表用户名，2代表邮箱
     */
    USERNAME(1, "用户名"),
    EMAIL(2, "邮箱");

    // 构造函数用于初始化code和description
    LoginTypeEnum(Integer type, String name) {
        this.type = type;
        this.name = name;
    }

    private Integer type;
    private String name;
}
